pub type AuthToken = [u8; 8];
pub type AuthSecret = [u8; 16];

#[derive(Clone, Copy)]
pub struct Authentication {
    pub key:AuthToken,
    pub secret:AuthSecret,
    pub user:u32,
}
impl Authentication {
    pub fn new() -> Self
    {
        Self {
            key:AuthToken::default(),
            secret:AuthSecret::default(),
            user:0,
        }
    }
}
